libperl5.26 dependency problems

Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

libperl5.26 dependency problems

Dale Trombley
I've been getting this for a couple of days, searched the mail list but couldn't find anything. launchpad had some hits but i couldn't find this exact thing. Is this already known?

sudo apt update && sudo apt full-upgrade
[sudo] password for buzzmandt:  
Hit:1 http://us.archive.ubuntu.com/ubuntu cosmic InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                          
Hit:3 http://dl.google.com/linux/chrome/deb stable Release                                                                            
Hit:4 http://us.archive.ubuntu.com/ubuntu cosmic-updates InRelease                                                                    
Hit:5 http://us.archive.ubuntu.com/ubuntu cosmic-backports InRelease     
Hit:6 http://security.ubuntu.com/ubuntu cosmic-security InRelease
Reading package lists... Done                      
Building dependency tree        
Reading state information... Done
65 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree        
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
libsnmp30:i386 : Depends: libperl5.26:i386 (>= 5.26.0~rc1) but it is not installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).



Followed by 

 sudo apt -f install
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
 libexpat1-dev libncurses5:i386 libplacebo4 libproj12 libpython3-dev libpython3.6-dev libtinfo5:i386 libx265-151
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
 libperl5.26:i386
The following NEW packages will be installed:
 libperl5.26:i386
0 upgraded, 1 newly installed, 0 to remove and 65 not upgraded.
33 not fully installed or removed.
Need to get 0 B/3,168 kB of archives.
After this operation, 16.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 257931 files and directories currently installed.)
Preparing to unpack .../libperl5.26_5.26.2-6_i386.deb ...
Unpacking libperl5.26:i386 (5.26.2-6) ...
dpkg: error processing archive /var/cache/apt/archives/libperl5.26_5.26.2-6_i386.deb (--unpack):
trying to overwrite shared '/usr/share/doc/libperl5.26/changelog.Debian.gz', which is different from other instances of package libperl5.26:i386                                                          
Errors were encountered while processing:                                                                                                                                                                  
/var/cache/apt/archives/libperl5.26_5.26.2-6_i386.deb                                                                                                                                                     
E: Sub-process /usr/bin/dpkg returned an error code (1)


--

Truck driver, Linux Tech, Webmaster, and Web Admin

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: libperl5.26 dependency problems

Simon Quigley-3
Hello,

On 07/11/2018 05:09 PM, Dale Trombley wrote:
> I've been getting this for a couple of days, searched the mail list but
> couldn't find anything. launchpad had some hits but i couldn't find this
> exact thing. Is this already known?

Yes, it's already known. I can't find the bug number at the moment, but
if I remember correctly, it's a dpkg bug.

--
Simon Quigley
[hidden email]
tsimonq2 on freenode and OFTC
5C7A BEA2 0F86 3045 9CC8
C8B5 E27F 2CF8 458C 2FA4


--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel

signature.asc (849 bytes) Download Attachment